> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List series

> List all registered series with the AT for the supplier.

This enpoints provides a way to list all registered series with the AT for the supplier with cursor-based pagination.


## OpenAPI

````yaml GET /apps/at-pt/v1/entry/{silo_entry_id}/series
openapi: 3.1.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: Set of end-points to interact with the AT Portugal app API.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Portugal AT Service API
  version: 0.1.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - InvopopAuth: []
paths:
  /apps/at-pt/v1/entry/{silo_entry_id}/series:
    get:
      description: List all registered series with the AT for the supplier.
      parameters:
        - description: Silo entry ID of the supplier to list series for.
          in: path
          name: silo_entry_id
          required: true
          schema:
            description: Silo entry ID of the supplier to list series for.
            example: 347c5b04-cde2-11ed-afa1-0242ac120002
            title: Silo Entry ID
            type: string
        - description: >-
            The position marker from the previous result's next_cursor property,
            used for pagination.
          in: query
          name: cursor
          required: false
          schema:
            description: >-
              The position marker from the previous result's next_cursor
              property, used for pagination.
            example: eyJsYXN0X2lkIjoiMTIzNCIsImxpbWl0IjoyMH0=
            title: Cursor
            type: string
        - description: The maximum number of entries to return in a single page of results.
          in: query
          name: limit
          required: false
          schema:
            default: 100
            description: >-
              The maximum number of entries to return in a single page of
              results.
            example: 20
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SeriesListResponse'
          description: Paginated list of series.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid parameters (malformed cursor or limit).
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Supplier not found.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    SeriesListResponse:
      properties:
        limit:
          description: Maximum number of entries in this page.
          example: 20
          title: Limit
          type: integer
        list:
          description: List of series for this page.
          items:
            $ref: '#/components/schemas/Series'
          title: List
          type: array
        next_cursor:
          description: >-
            Cursor used to identify the next page of results. Omitted when there
            are no more results.
          example: eyJsYXN0X2lkIjoiMTIzNCIsImxpbWl0IjoyMH0=
          title: Next Cursor
          type: string
      type: object
    Error:
      properties:
        message:
          description: Details of the error.
          title: Message
          type: string
      type: object
    Series:
      properties:
        id:
          description: Series ID.
          example: 1d8ab49a-bd14-11ef-925f-325096b39f47
          title: ID
          type: string
        code:
          description: Full series code (document type + base code).
          example: FT SERIES-A
          title: Code
          type: string
        base:
          description: Base code for the series.
          example: SERIES-A
          title: Base
          type: string
        document_type:
          description: Document type for the series.
          example: FT
          title: Document Type
          type: string
        type:
          description: Type of the series.
          example: 'N'
          title: Type
          type: string
        validation_code:
          description: AT validation code for the series used to generate ATCUD codes.
          example: AAJFJ3N5YS
          title: Validation Code
          type: string
      type: object
  securitySchemes:
    InvopopAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.

        Example: `Authorization: Bearer <token>`

````